Subject: Offline Message from Manju : I bought delcass pressure cooker combo....receiv
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Jun 2020 22:54:43 -0000

From: Manju  <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us/
Department: 

I bought delcass pressure cooker combo....received yesterday but lid is not fit properly to both cookers.... want to return so I wrote email to support branch they advised to fill return form but when tried to fill return form it’s Mention that we don’t have any order ..... kindly check and let me kwn how we will return this product ... and Order new one .... Thanx u with regard, MAnju  : Order no : 100159311

----
Zopim
https://www.zopim.com